SDL-0.6.4: Binding to libSDL

Portability | portable
Stability | provisional
Maintainer | lemmih@gmail.com
Safe Haskell | None

Graphics.UI.SDL.Types

Description

# Documentation

data SurfaceStruct Source

type Surface = ForeignPtr SurfaceStruct Source

data VideoInfoStruct Source

type VideoInfo = ForeignPtr VideoInfoStruct Source

data RWopsStruct Source

type RWops = ForeignPtr RWopsStruct Source

data PixelFormatStruct Source

type PixelFormat = ForeignPtr PixelFormatStruct Source

data JoystickStruct Source

type Joystick = ForeignPtr JoystickStruct Source

data Hat Source

Constructors

HatCentered |
HatUp |
HatRight |
HatDown |
HatLeft |
HatRightUp |
HatRightDown |
HatLeftUp |
HatLeftDown |

Instances

Bounded Hat |
Eq Hat |
Ord Hat |
Show Hat |
Enum Hat Word8 |

data TimerIDStruct Source

data SurfaceFlag Source

Constructors

SWSurface |
HWSurface |
OpenGL |
ASyncBlit |
OpenGLBlit |
Resizable |
NoFrame |
HWAccel |
SrcColorKey |
RLEAccel |
SrcAlpha |
PreAlloc |
AnyFormat |
HWPalette |
DoubleBuf |
Fullscreen |

Instances

Bounded SurfaceFlag |
Eq SurfaceFlag |
Ord SurfaceFlag |
Read SurfaceFlag |
Show SurfaceFlag |
Enum SurfaceFlag Word32 |

surfaceGetPixelFormat :: Surface -> PixelFormat Source

surfaceGetWidth :: Surface -> Int Source

surfaceGetHeight :: Surface -> Int Source

surfaceGetFlags :: Surface -> IO [SurfaceFlag]Source

surfaceGetPitch :: Surface -> Word16 Source

surfaceGetPixels :: Surface -> IO PixelsSource

pixelFormatGetAlpha :: PixelFormat -> IO Word8 Source

pixelFormatGetColorKey :: PixelFormat -> IO Pixel Source

pixelFormatGetBitsPerPixel :: PixelFormat -> IO Word8 Source

pixelFormatGetBytesPerPixel :: PixelFormat -> IO Word8 Source

videoInfoWidth :: VideoInfo -> Int Source

videoInfoHeight :: VideoInfo -> Int Source